#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_with	tests		# build with tests (require network access)

Summary:	Multi-platform support library with a focus on asynchronous I/O
Summary(pl.UTF-8):	Wieloplatformowa biblioteka wspierająca skupiająca się na asynchronicznym we/wy
Name:		libuv
Version:	1.42.0
Release:	1
# the licensing breakdown is described in detail in the LICENSE file
License:	MIT and BSD and ISC
Group:		Libraries
Source0:	https://dist.libuv.org/dist/v%{version}/%{name}-v%{version}.tar.gz
# Source0-md5:	484dec4a06e183c20be815019ce9ddd0
URL:		http://libuv.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.12
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libuv is a multi-platform support library with a focus on asynchronous
I/O. It was primarily developed for use by Node.js, but it's also used
by Luvit, Julia, pyuv and others.

%description -l pl.UTF-8
libuv to wieloplatformowa biblioteka wspierająca, skupiająca się na
asynchronicznych operacjach wejścia-wyjścia. Była rozwijana głównie z
myślą o wykorzystaniu w Node.js, ale obecnie jest używana także przez
projekty takie jak Luvit, Julia, pyuv i inne.

%package devel
Summary:	Header files for libuv library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libuv
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development libraries for libuv.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libuv.

%package static
Summary:	Static libuv library
Summary(pl.UTF-8):	Statyczna biblioteka libuv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libuv library.

%description static -l pl.UTF-8
Statyczna biblioteka libuv.

%prep
%setup -q -n %{name}-v%{version}

# serial-tests is available in v1.12 and newer.
echo "m4_define([UV_EXTRA_AUTOMAKE_FLAGS], [serial-tests])" > m4/libuv-extra-automake-flags.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	ac_cv_lib_nsl_gethostbyname=no \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%if %{with tests}
./run-tests
./run-benchmarks
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by .pc file
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libuv.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE README.md
%attr(755,root,root) %{_libdir}/libuv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libuv.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libuv.so
%{_includedir}/uv.h
%{_includedir}/uv
%{_pkgconfigdir}/libuv.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libuv.a
%endif
%changelog
* Sat Sep 18 2021 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libuv.git;a=log;h=master

* Sat Jul 31 2021 Jan Palus <atler@pld-linux.org> bacb7a4
- up to 1.42.0

* Wed Jul 07 2021 Jan Palus <atler@pld-linux.org> c910f63
- up to 1.41.1

* Tue Jul 06 2021 Jan Palus <atler@pld-linux.org> 52b5b29
- upstream fix for CVE-2021-22918; rel 2

* Thu May 13 2021 Jan Palus <atler@pld-linux.org> b351d25
- up to 1.41.0

* Sun Oct 25 2020 Jan Palus <atler@pld-linux.org> 72f43e4
- up to 1.40.0

* Tue Sep 08 2020 Jakub Bogusz <qboosh@pld-linux.org> dc75f2a
- updated to 1.39.0

* Tue May 19 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 675f2a6
- up to 1.38.0

* Sat Mar 21 2020 Jakub Bogusz <qboosh@pld-linux.org> bdbcb76
- updated to 1.35.0

* Sat Jan 25 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d03007
- up to 1.34.2

* Thu Jan 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 4532a2c
- updated to 1.34.0

* Mon Jun 03 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> f405917
- release 2 (by relup.sh)

* Sun May 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 1e1eb2f
- updated to 1.29.1

* Wed Nov 07 2018 Jakub Bogusz <qboosh@pld-linux.org> c92de5c
- updated to 1.23.2

* Fri Feb 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 89a30a1
- updated to 1.19.1

* Tue Dec 26 2017 Elan Ruusamäe <glen@pld-linux.org> 0a0e0e3
- use https url

* Wed Dec 13 2017 mis <mistoo@gmail.com> 0b6ab71
- up to 1.18.0

* Sun Jan 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ccb7da8
- up to 1.10.1

* Fri Jun 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 5bc47d3
- updated to 1.9.1, updated descriptions

* Tue Mar 29 2016 Elan Ruusamäe <glen@delfi.ee> 4d93b4c
- up to 1.8.0

* Mon Jan 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 7ae020e
- pl, standard Groups, added -static; release 2

